Skip to content

Veeam Enterprise Plus

All operations require authentication.

10 operationsv1/veeam/veeamEnterprise
Agent setup

List Veeam Enterprise Plus servicesBeta

GET
/1.0/veeam/veeamEnterprise

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get Veeam Enterprise PlusBeta

GET
/1.0/veeam/veeamEnterprise/{serviceName}

Path parameters

serviceName
required
string

Domain of the service

Response

200AccountWithIAMsuccessful operation
activationStatus
read-only
ActivationStatusEnum

Activation status for your Veeam backup server

Valuescancelleddoingdonetodo
iam
read-only
ResourceMetadata

IAM resource metadata

ip
read-only
ip

This Backup Server IP

serviceName
read-only
string

Your Veeam Enterprise Service name

sourceIp
read-only
ip

OVH Enterprise Manager IP

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activationStatus": "cancelled", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ip": "192.0.2.0", "serviceName": "string", "sourceIp": "192.0.2.0"}

Confirm service terminationBeta

POST
/1.0/veeam/veeamEnterprise/{serviceName}/confirmTermination

Confirm service termination. Terminates the service with the token sent by email to the admin contact. A reason, a future use and a comment can be given.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

commentary
string

Commentary about your termination request

futureUse
TerminationFutureUseEnum

What next after your termination request

ValuesNOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITOR
reason
TerminationReasonEnum

Reason of your termination request

ValuesFEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORT
token
required
string

The termination token sent by email to the admin contact

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/confirmTermination \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Register Veeam backup serverBeta

POST
/1.0/veeam/veeamEnterprise/{serviceName}/register

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

ip
required
ip

Your Veeam Backup And Replication Server IP

password
required
stringpassword

Your Veeam Backup And Replication associated password

username
required
string

Your Veeam Backup And Replication username

Response

200Task[]successful operation
endDate
read-only
stringdate-time

Task completion date

name
read-only
string

Task name

progress
read-only
integer

Current progress

startDate
read-only
stringdate-time

Task creation date

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChilds
taskId
read-only
integer

Task id

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/register \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0 }]

Get service informationBeta

GET
/1.0/veeam/veeamEnterprise/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

Domain of the service

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationBeta

PUT
/1.0/veeam/veeamEnterprise/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List operationsBeta

GET
/1.0/veeam/veeamEnterprise/{serviceName}/task

Path parameters

serviceName
required
string

Domain of the service

Query parameters

name
string

Filter the value of name property (like)

state
TaskStateEnum

Filter the value of state property (=)

ValuescanceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChilds

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get operationBeta

GET
/1.0/veeam/veeamEnterprise/{serviceName}/task/{taskId}

Path parameters

serviceName
required
string

Domain of the service

taskId
required
integer

Task id

Response

200Tasksuccessful operation
endDate
read-only
stringdate-time

Task completion date

name
read-only
string

Task name

progress
read-only
integer

Current progress

startDate
read-only
stringdate-time

Task creation date

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChilds
taskId
read-only
integer

Task id

Example uses serviceName = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0}

Request service terminationBeta

POST
/1.0/veeam/veeamEnterprise/{serviceName}/terminate

Request service termination. Starts the termination of the service. The admin contact receives a token by email, to confirm with the confirmTermination call.

Path parameters

serviceName
required
string

Domain of the service

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/terminate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Update Veeam Enterprise Plus configurationBeta

POST
/1.0/veeam/veeamEnterprise/{serviceName}/update

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

ip
required
ip

Your Veeam Backup And Replication Server IP

password
required
stringpassword

Your Veeam Backup And Replication associated password

username
required
string

Your Veeam Backup And Replication username

Response

200Task[]successful operation
endDate
read-only
stringdate-time

Task completion date

name
read-only
string

Task name

progress
read-only
integer

Current progress

startDate
read-only
stringdate-time

Task creation date

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrortoCreatetodounfixedwaitingwaitingForChilds
taskId
read-only
integer

Task id

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/veeam/veeamEnterprise/{serviceName}/update \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "endDate": "2024-01-01T12:00:00Z", "name": "string", "progress": 0, "startDate": "2024-01-01T12:00:00Z", "state": "canceled", "taskId": 0 }]